	program testfits
	
	character*256	cFile
	integer		mode
	real*4		pattern_dark
	integer		nx
	integer		ny
	real*4		pattern(318,64)

	cFile = '/home/soft/smei/ucsd/db/cal_pattern/c3pat_2004_190_035907.fts.gz'
	mode = 2

	call smei_pat_read(cFile, mode, pattern_dark, nx, ny, pattern)

	print *, pattern_dark, nx, ny
	call WhatIsR4(nx*ny, pattern, 'pattern')	
	end
